# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file './etmDetails.ui'
#
# Created: Sun Dec  8 19:40:51 2013
#      by: PyQt4 UI code generator 4.10.3
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class Ui_detailDialog(object):
    def setupUi(self, detailDialog):
        detailDialog.setObjectName(_fromUtf8("detailDialog"))
        detailDialog.resize(525, 266)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(detailDialog.sizePolicy().hasHeightForWidth())
        detailDialog.setSizePolicy(sizePolicy)
        detailDialog.setMinimumSize(QtCore.QSize(460, 140))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/etm.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        detailDialog.setWindowIcon(icon)
        detailDialog.setToolTip(_fromUtf8(""))
        detailDialog.setStyleSheet(_fromUtf8(""))
        detailDialog.setModal(False)
        self.gridLayout = QtGui.QGridLayout(detailDialog)
        self.gridLayout.setContentsMargins(8, 6, 8, 6)
        self.gridLayout.setVerticalSpacing(6)
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setSizeConstraint(QtGui.QLayout.SetMaximumSize)
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.closeButton = QtGui.QToolButton(detailDialog)
        self.closeButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(_fromUtf8(":/exit.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.closeButton.setIcon(icon1)
        self.closeButton.setIconSize(QtCore.QSize(26, 26))
        self.closeButton.setObjectName(_fromUtf8("closeButton"))
        self.horizontalLayout.addWidget(self.closeButton)
        self.line = QtGui.QFrame(detailDialog)
        self.line.setFrameShape(QtGui.QFrame.VLine)
        self.line.setFrameShadow(QtGui.QFrame.Sunken)
        self.line.setObjectName(_fromUtf8("line"))
        self.horizontalLayout.addWidget(self.line)
        self.fileButton = QtGui.QToolButton(detailDialog)
        self.fileButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(":/fileopen.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.fileButton.setIcon(icon2)
        self.fileButton.setIconSize(QtCore.QSize(24, 24))
        self.fileButton.setObjectName(_fromUtf8("fileButton"))
        self.horizontalLayout.addWidget(self.fileButton)
        self.itemButton = QtGui.QToolButton(detailDialog)
        self.itemButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(_fromUtf8(":/edit_item.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.itemButton.setIcon(icon3)
        self.itemButton.setIconSize(QtCore.QSize(22, 22))
        self.itemButton.setObjectName(_fromUtf8("itemButton"))
        self.horizontalLayout.addWidget(self.itemButton)
        self.cloneItemButton = QtGui.QToolButton(detailDialog)
        self.cloneItemButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(_fromUtf8(":/copy.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.cloneItemButton.setIcon(icon4)
        self.cloneItemButton.setIconSize(QtCore.QSize(24, 24))
        self.cloneItemButton.setObjectName(_fromUtf8("cloneItemButton"))
        self.horizontalLayout.addWidget(self.cloneItemButton)
        self.cloneActionButton = QtGui.QToolButton(detailDialog)
        self.cloneActionButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(_fromUtf8(":/action_start.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.cloneActionButton.setIcon(icon5)
        self.cloneActionButton.setIconSize(QtCore.QSize(28, 28))
        self.cloneActionButton.setObjectName(_fromUtf8("cloneActionButton"))
        self.horizontalLayout.addWidget(self.cloneActionButton)
        self.line_2 = QtGui.QFrame(detailDialog)
        self.line_2.setFrameShape(QtGui.QFrame.VLine)
        self.line_2.setFrameShadow(QtGui.QFrame.Sunken)
        self.line_2.setObjectName(_fromUtf8("line_2"))
        self.horizontalLayout.addWidget(self.line_2)
        self.finishButton = QtGui.QToolButton(detailDialog)
        self.finishButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(_fromUtf8(":/finish_task.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.finishButton.setIcon(icon6)
        self.finishButton.setIconSize(QtCore.QSize(22, 22))
        self.finishButton.setObjectName(_fromUtf8("finishButton"))
        self.horizontalLayout.addWidget(self.finishButton)
        self.minusButton = QtGui.QToolButton(detailDialog)
        self.minusButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(_fromUtf8(":/date_delete.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.minusButton.setIcon(icon7)
        self.minusButton.setIconSize(QtCore.QSize(24, 24))
        self.minusButton.setObjectName(_fromUtf8("minusButton"))
        self.horizontalLayout.addWidget(self.minusButton)
        self.moveButton = QtGui.QToolButton(detailDialog)
        self.moveButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon8 = QtGui.QIcon()
        icon8.addPixmap(QtGui.QPixmap(_fromUtf8(":/move.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.moveButton.setIcon(icon8)
        self.moveButton.setIconSize(QtCore.QSize(40, 34))
        self.moveButton.setObjectName(_fromUtf8("moveButton"))
        self.horizontalLayout.addWidget(self.moveButton)
        self.line_3 = QtGui.QFrame(detailDialog)
        self.line_3.setFrameShape(QtGui.QFrame.VLine)
        self.line_3.setFrameShadow(QtGui.QFrame.Sunken)
        self.line_3.setObjectName(_fromUtf8("line_3"))
        self.horizontalLayout.addWidget(self.line_3)
        self.repsButton = QtGui.QToolButton(detailDialog)
        self.repsButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon9 = QtGui.QIcon()
        icon9.addPixmap(QtGui.QPixmap(_fromUtf8(":/repetitions.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.repsButton.setIcon(icon9)
        self.repsButton.setIconSize(QtCore.QSize(28, 30))
        self.repsButton.setObjectName(_fromUtf8("repsButton"))
        self.horizontalLayout.addWidget(self.repsButton)
        self.historyButton = QtGui.QToolButton(detailDialog)
        self.historyButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon10 = QtGui.QIcon()
        icon10.addPixmap(QtGui.QPixmap(_fromUtf8(":/history.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.historyButton.setIcon(icon10)
        self.historyButton.setIconSize(QtCore.QSize(26, 26))
        self.historyButton.setObjectName(_fromUtf8("historyButton"))
        self.horizontalLayout.addWidget(self.historyButton)
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.helpButton = QtGui.QToolButton(detailDialog)
        self.helpButton.setStyleSheet(_fromUtf8("border: 0px black"))
        icon11 = QtGui.QIcon()
        icon11.addPixmap(QtGui.QPixmap(_fromUtf8(":/help.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.helpButton.setIcon(icon11)
        self.helpButton.setIconSize(QtCore.QSize(22, 22))
        self.helpButton.setObjectName(_fromUtf8("helpButton"))
        self.horizontalLayout.addWidget(self.helpButton)
        self.gridLayout.addLayout(self.horizontalLayout, 0, 0, 1, 1)
        self.detailFrame = QtGui.QFrame(detailDialog)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.detailFrame.sizePolicy().hasHeightForWidth())
        self.detailFrame.setSizePolicy(sizePolicy)
        self.detailFrame.setMinimumSize(QtCore.QSize(0, 0))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.detailFrame.setFont(font)
        self.detailFrame.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.detailFrame.setStyleSheet(_fromUtf8(""))
        self.detailFrame.setFrameShape(QtGui.QFrame.StyledPanel)
        self.detailFrame.setFrameShadow(QtGui.QFrame.Raised)
        self.detailFrame.setObjectName(_fromUtf8("detailFrame"))
        self.gridLayout.addWidget(self.detailFrame, 1, 0, 1, 1)
        self.statusBar = QtGui.QLineEdit(detailDialog)
        font = QtGui.QFont()
        font.setPointSize(10)
        self.statusBar.setFont(font)
        self.statusBar.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.statusBar.setAutoFillBackground(False)
        self.statusBar.setStyleSheet(_fromUtf8("background-color: transparent; border: 0px"))
        self.statusBar.setReadOnly(True)
        self.statusBar.setObjectName(_fromUtf8("statusBar"))
        self.gridLayout.addWidget(self.statusBar, 2, 0, 1, 1)

        self.retranslateUi(detailDialog)
        QtCore.QMetaObject.connectSlotsByName(detailDialog)

    def retranslateUi(self, detailDialog):
        detailDialog.setWindowTitle(_translate("detailDialog", "details", None))
        self.closeButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-W</em> to close this dialog.", None))
        self.closeButton.setText(_translate("detailDialog", "Close", None))
        self.fileButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-E</em> to edit the file containing this item.", None))
        self.fileButton.setText(_translate("detailDialog", "File", None))
        self.itemButton.setToolTip(_translate("detailDialog", "Click here or press <em>Return</em> to edit this item.", None))
        self.itemButton.setText(_translate("detailDialog", "Edit", None))
        self.cloneItemButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-C</em> to edit a copy of this item.", None))
        self.cloneItemButton.setText(_translate("detailDialog", "...", None))
        self.cloneActionButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-T</em> to start the timer for an action based on this item.", None))
        self.cloneActionButton.setText(_translate("detailDialog", "...", None))
        self.finishButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-F</em> when a task is selected to set the completion datetime for the task. ", None))
        self.finishButton.setText(_translate("detailDialog", "Finish", None))
        self.minusButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-X</em> to delete datetime(s) from this item.", None))
        self.minusButton.setText(_translate("detailDialog", "Delete", None))
        self.moveButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-M</em> to move this item to another file.", None))
        self.moveButton.setText(_translate("detailDialog", "...", None))
        self.repsButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-R</em> when a repeating item is selected to show the repetitions for the item.", None))
        self.repsButton.setText(_translate("detailDialog", "...", None))
        self.historyButton.setToolTip(_translate("detailDialog", "Click here or press <em>Ctrl-H</em> to view the history of changes for the file containing this item.", None))
        self.historyButton.setText(_translate("detailDialog", "...", None))
        self.helpButton.setToolTip(_translate("detailDialog", "Click here or press \'F1\' to view help information.", None))
        self.helpButton.setText(_translate("detailDialog", "...", None))

